Bug 1020012 - debug-trace.py in GlusterFS git no longer working
debug-trace.py in GlusterFS git no longer working
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 15:05 EDT by Justin Clift
Modified: 2015-10-22 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:40:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2013-10-16 15:05:05 EDT
Description of problem:

  On Fedora 19, attempting to use the example Glupy volume (test.vol)
  from the GlusterFS git repo, results in a failure from debug-trace.py:

    $ git clone git://git.gluster.org/glusterfs
    $ cd glusterfs/xlators/features/glupy/doc
    $ sudo glusterfs --debug -f test.vol /mnt/
    [2013-10-16 19:01:31.525291] I [glusterfsd.c:1954:main] 0-glusterfs: Started running glusterfs version 3git (glusterfs --debug -f test.vol /mnt/)
    [2013-10-16 19:01:31.526285] D [glusterfsd.c:407:set_fuse_mount_options] 0-glusterfsd: fopen-keep-cache mode 2
    [2013-10-16 19:01:31.526336] D [glusterfsd.c:463:set_fuse_mount_options] 0-: fuse direct io type 2
    [2013-10-16 19:01:31.526580] D [options.c:1112:xlator_option_init_double] 0-fuse: option negative-timeout using set value 0.000000
    [2013-10-16 19:01:31.528918] D [glusterfsd.c:593:get_volfp] 0-glusterfsd: loading volume file /home/jc/glusterfs/xlators/features/glupy/doc/test.vol
    [2013-10-16 19:01:31.555901] E [glupy.c:2368:init] 0-vol-glupy: py_mod_name = debug-trace
    [2013-10-16 19:01:31.584902] E [glupy.c:2372:init] 0-vol-glupy: Python import failed
    Traceback (most recent call last):
      File "/usr/lib64/glusterfs/3git/xlator/features/glupy/debug-trace.py", line 12, in <module>
        dl.get_id.restype = c_long
    NameError: name 'c_long' is not defined
    [2013-10-16 19:01:31.585132] E [xlator.c:425:xlator_init] 0-vol-glupy: Initialization of volume 'vol-glupy' failed, review your volfile again
    [2013-10-16 19:01:31.585147] E [graph.c:307:glusterfs_graph_init] 0-vol-glupy: initializing translator failed
    [2013-10-16 19:01:31.585161] E [graph.c:502:glusterfs_graph_activate] 0-graph: init failed
    [2013-10-16 19:01:31.585902] W [glusterfsd.c:1086:cleanup_and_exit] (-->glusterfs(main+0x4d8) [0x7fdbeb88baa8] (-->glusterfs(glusterfs_volumes_init+0xb0) [0x7fdbeb88e950] (-->glusterfs(glusterfs_process_volfp+0x106) [0x7fdbeb88e856]))) 0-: received signum (0), shutting down
    [2013-10-16 19:01:31.585974] D [glusterfsd-mgmt.c:2087:glusterfs_mgmt_pmap_signout] 0-fsd-mgmt: portmapper signout arguments not given
    [2013-10-16 19:01:31.585993] I [fuse-bridge.c:5424:fini] 0-fuse: Unmounting '/mnt/'.
    [2013-10-16 19:01:31.586813] W [glusterfsd.c:1086:cleanup_and_exit] (-->/lib64/libc.so.6(clone+0x6d) [0x7fdbea4f9e1d] (-->/lib64/libpthread.so.0(+0x7c53) [0x7fdbeab90c53] (-->glusterfs(glusterfs_sigwaiter+0xd5) [0x7fdbeb88e165]))) 0-: received signum (15), shutting down
    $ 

  This used to work.


Version-Release number of selected component (if applicable):

  Upstream GlusterFS git master, as of Wed 16th Oct 2013.

  Latest commit:

    commit 656db3a8e0601ba0a6af303b971111fbbed29906
    Author: Lalatendu Mohanty <lmohanty@redhat.com>
    Date:   Sun Oct 13 15:08:10 2013 -0400


How reproducible:

  Every time.
Comment 2 Kaleb KEITHLEY 2015-10-22 11:40:20 EDT
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.